# HELPBAR tutorial makefile

# Uses Borland C++ 3.00 and Zinc Interface Library Version 3.00 

# Be sure to update your TURBOC.CFG file to include the Zinc paths, e.g.:
#   -I.;C:\ZINC\INCLUDE;C:BORLANDC\INCLUDE
#   -L.;C:\ZINC\LIB_B30;C:BORLANDC\LIB
# and your TLINK.CFG file to include the Zinc paths, e.g.:
#   -L.;C:\ZINC\LIB_B30;C:BORLANDC\LIB

#    make -fborland.mak helpbar.exe      (makes the helpbar tutorial program)
#    make -fborland.mak whelpbar.exe     (makes the Windows helpbar program)

## Compiler and linker: (Add -v to CPP_OPTS and /v to LINK_OPTS for debug.)
CPP=bcc
LINK=tlink
DOS_CPP_OPTS=-c -ml -O -w
DOS_LINK_OPTS=/c /x
WIN_CPP_OPTS=-c -ml -O -WE -w
WIN_LINK_OPTS=/c /C /Twe /x

## Libraries:
DOS_OBJS=c0l
DOS_LIBS=zil graphics emu mathl cl
WIN_OBJS=c0wl
WIN_LIBS=zilw mathwl import cwl


.cpp.obj:
	$(CPP) $(DOS_CPP_OPTS) {$< }

.cpp.obw:
	$(CPP) $(WIN_CPP_OPTS) -o$*.obw {$< }


all: helpbar.exe whelpbar.exe


helpbar.exe: helpbar.obj hlpbar.obj
	$(LINK) $(DOS_LINK_OPTS) @&&!
$(DOS_OBJS)+helpbar.obj+hlpbar.obj
$*, ,$(DOS_LIBS)
!


whelpbar.exe: helpbar.obw hlpbar.obw
	$(LINK) $(WIN_LINK_OPTS) @&&!
$(WIN_OBJS)+helpbar.obw+hlpbar.obw
$*, ,$(WIN_LIBS),whelpbar.def
!
	rc whelpbar.rc $<
